import { Database, QueryExecResult } from '@jlongster/sql.js';
export declare type ClientConversation = {
    [key: string]: any;
};
export declare function localConversations(db: Database): QueryExecResult[];
export declare function getAllConversationList(db: Database): QueryExecResult[];
export declare function getAllConversationListToSync(db: Database): QueryExecResult[];
export declare function getHiddenConversationList(db: Database): QueryExecResult[];
export declare function getConversation(db: Database, conversationID: string): QueryExecResult[];
export declare function getMultipleConversation(db: Database, conversationIDList: string[]): QueryExecResult[];
export declare function updateColumnsConversation(db: Database, conversationID: string, conversation: ClientConversation): QueryExecResult[];
export declare function decrConversationUnreadCount(db: Database, conversationID: string, count: number): QueryExecResult[];
export declare function batchInsertConversationList(db: Database, conversationList: ClientConversation[]): QueryExecResult[];
export declare function getTotalUnreadMsgCount(db: Database): QueryExecResult[];
export declare function resetConversation(db: Database, conversationID: string): QueryExecResult[];
