/**
 * obj => json string
 */
export function jsonEncode(obj, init = '{}', prettier = false) {
    try {
        return prettier ? JSON.stringify(obj, undefined, 4) : JSON.stringify(obj);
    }
    catch (error) {
        return init;
    }
}
/**
 * json string => obj
 */
export function jsonDecode(jsonStr, defaultValue = {}) {
    try {
        return JSON.parse(jsonStr);
    }
    catch (error) {
        return defaultValue;
    }
}
