import { ClientConversation } from '../../sqls';
export declare function getAllConversationList(): Promise<string>;
export declare function getAllConversationListToSync(): Promise<string>;
export declare function getHiddenConversationList(): Promise<string>;
export declare function getConversation(conversationID: string): Promise<string>;
export declare function getMultipleConversation(conversationIDList: string): Promise<string>;
export declare function updateColumnsConversation(conversationID: string, conversation: ClientConversation | string): Promise<string>;
export declare function decrConversationUnreadCount(conversationID: string, count: number): Promise<string>;
export declare function batchInsertConversationList(conversationListStr: string): Promise<string>;
export declare function insertConversation(conversationStr: string): Promise<string>;
export declare function getTotalUnreadMsgCount(): Promise<string>;
export declare function resetConversation(conversationID: string): Promise<string>;
