import { MessageType } from '../../constant';
export declare function getMessage(messageId: string): Promise<string>;
export declare function getMultipleMessage(messageIdsStr: string): Promise<string>;
export declare function getSendingMessageList(): Promise<string>;
export declare function getNormalMsgSeq(): Promise<string>;
export declare function updateMessageTimeAndStatus(clientMsgID: string, serverMsgID: string, sendTime: number, status: number): Promise<string>;
export declare function updateMessage(clientMsgId: string, messageStr: string): Promise<string>;
export declare function updateColumnsMessage(clientMsgId: string, messageStr: string): Promise<string>;
export declare function insertMessage(messageStr: string): Promise<string>;
export declare function batchInsertMessageList(messageListStr: string): Promise<string>;
export declare function getMessageListNoTime(sourceID: string, sessionType: number, count: number, isReverse?: boolean, loginUserID?: string): Promise<string>;
export declare function getMessageList(sourceID: string, sessionType: number, count: number, startTime: number, isReverse: boolean | undefined, loginUserID: string): Promise<string>;
export declare function searchAllMessageByContentType(contentType: MessageType): Promise<string>;
export declare function getMsgSeqListByPeerUserID(userID: string): Promise<string>;
export declare function getMsgSeqListBySelfUserID(userID: string): Promise<string>;
export declare function getMsgSeqListByGroupID(groupID: string): Promise<string>;
export declare function updateMessageStatusBySourceID(sourceID: string, status: number, sessionType: number, loginUserID: string): Promise<string>;
